<!-- prettier-ignore-start -->
# Class ShopperContextErrorCodes

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.customer.shoppercontext.ShopperContextErrorCodes](dw.customer.shoppercontext.ShopperContextErrorCodes.md)

Helper class containing error codes to indicate why a Shopper Context cannot be accessed, set or modified.


## Constant Summary

| Constant | Description |
| --- | --- |
| [ASSIGNMENT_QUALIFIERS_LIMIT_EXCEEDED](#assignment_qualifiers_limit_exceeded): [String](TopLevel.String.md) = "ASSIGNMENT_QUALIFIERS_LIMIT_EXCEEDED" | Indicates that the assignment qualifiers limit exceeded |
| [COUPON_CODES_LIMIT_EXCEEDED](#coupon_codes_limit_exceeded): [String](TopLevel.String.md) = "COUPON_CODES_LIMIT_EXCEEDED" | Indicates that the coupon codes limit exceeded |
| [CUSTOM_QUALIFIERS_LIMIT_EXCEEDED](#custom_qualifiers_limit_exceeded): [String](TopLevel.String.md) = "CUSTOM_QUALIFIERS_LIMIT_EXCEEDED" | Indicates that the custom qualifiers limit exceeded |
| [FEATURE_DISABLED](#feature_disabled): [String](TopLevel.String.md) = "FEATURE_DISABLED" | Indicates that the feature toggle 'ShopperContextEnabled' is not enabled. |
| [INTERNAL_ERROR](#internal_error): [String](TopLevel.String.md) = "INTERNAL_ERROR" | Indicates that an internal error occurred while setting, retrieving or deleting the shopper context |
| [INVALID_ARGUMENT](#invalid_argument): [String](TopLevel.String.md) = "INVALID_ARGUMENT" | Indicates an invalid argument was provided |
| [INVALID_REQUEST_TYPE](#invalid_request_type): [String](TopLevel.String.md) = "INVALID_REQUEST_TYPE" | Indicates that the request type is invalid. |
| [QUOTA_LIMIT_EXCEEDED](#quota_limit_exceeded): [String](TopLevel.String.md) = "QUOTA_LIMIT_EXCEEDED" | Indicates that the quota limit for the shopper context has been reached. |

## Constructor Summary

| Constructor | Description |
| --- | --- |
| [ShopperContextErrorCodes](#shoppercontexterrorcodes)() |  |

## Method Summary

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constant Details

### ASSIGNMENT_QUALIFIERS_LIMIT_EXCEEDED

- ASSIGNMENT_QUALIFIERS_LIMIT_EXCEEDED: [String](TopLevel.String.md) = "ASSIGNMENT_QUALIFIERS_LIMIT_EXCEEDED"
  - : Indicates that the assignment qualifiers limit exceeded


---

### COUPON_CODES_LIMIT_EXCEEDED

- COUPON_CODES_LIMIT_EXCEEDED: [String](TopLevel.String.md) = "COUPON_CODES_LIMIT_EXCEEDED"
  - : Indicates that the coupon codes limit exceeded


---

### CUSTOM_QUALIFIERS_LIMIT_EXCEEDED

- CUSTOM_QUALIFIERS_LIMIT_EXCEEDED: [String](TopLevel.String.md) = "CUSTOM_QUALIFIERS_LIMIT_EXCEEDED"
  - : Indicates that the custom qualifiers limit exceeded


---

### FEATURE_DISABLED

- FEATURE_DISABLED: [String](TopLevel.String.md) = "FEATURE_DISABLED"
  - : Indicates that the feature toggle 'ShopperContextEnabled' is not enabled.


---

### INTERNAL_ERROR

- INTERNAL_ERROR: [String](TopLevel.String.md) = "INTERNAL_ERROR"
  - : Indicates that an internal error occurred while setting, retrieving or deleting the shopper context


---

### INVALID_ARGUMENT

- INVALID_ARGUMENT: [String](TopLevel.String.md) = "INVALID_ARGUMENT"
  - : Indicates an invalid argument was provided


---

### INVALID_REQUEST_TYPE

- INVALID_REQUEST_TYPE: [String](TopLevel.String.md) = "INVALID_REQUEST_TYPE"
  - : Indicates that the request type is invalid. Request must be a SCAPI request, or a hybrid storefront request, or
      an ocapi request using a SLAS token.



---

### QUOTA_LIMIT_EXCEEDED

- QUOTA_LIMIT_EXCEEDED: [String](TopLevel.String.md) = "QUOTA_LIMIT_EXCEEDED"
  - : Indicates that the quota limit for the shopper context has been reached.


---

## Constructor Details

### ShopperContextErrorCodes()
- ShopperContextErrorCodes()
  - : 


---

<!-- prettier-ignore-end -->
